CGAL 6.2 - STL Extensions for CGAL: Projection Function Objects

CGAL 6.2 - STL Extensions for CGAL

Loading...
Searching...
No Matches
Classes | Functions
Projection Function Objects
Reference Manual

##

## Classes
struct | CGAL::Cast_function_object< Arg, Result >
| The class `Cast_function_object` applies a C-style type cast to its argument. More...
class | CGAL::Compare_to_less< F >
| The class `Compare_to_less` is used to convert a functor which returns a `Comparison_result` to a predicate (returning bool) : it will return true iff the return value of `F` is `SMALLER`. More...
struct | CGAL::Dereference< Value >
| The class `Dereference` dereferences a pointer (`operator*`). More...
struct | CGAL::Get_address< Value >
| The class `Get_address` gets the address of an lvalue (`operator&`). More...
struct | CGAL::Identity< Value >
| The class `Identity` represents the identity function on `Value`. More...
struct | CGAL::Project_facet< Node >
| The class `Project_facet` calls the member function `facet()` on an instance of type `Node`. More...
struct | CGAL::Project_next< Node >
| The class `Project_next` calls the member function `next()` on an instance of type `Node`. More...
struct | CGAL::Project_next_opposite< Node >
| The class `Project_next_opposite` calls the member functions `next()->opposite()` on an instance of type `Node`. More...
struct | CGAL::Project_normal< Node >
| The class `Project_normal` calls the member function `normal()` on an instance of type `Node`. More...
struct | CGAL::Project_opposite_prev< Node >
| The class `Project_opposite_prev` calls the member functions `opposite()->prev()` on an instance of type `Node`. More...
struct | CGAL::Project_plane< Node >
| The class `Project_plane` calls the member function `plane()` on an instance of type `Node`. More...
struct | CGAL::Project_point< Node >
| The class `Project_point` calls the member function `point()` on an instance of type `Node`. More...
struct | CGAL::Project_prev< Node >
| The class `Project_prev` calls the member function `prev()` on an instance of type `Node`. More...
struct | CGAL::Project_vertex< Node >
| The class `Project_vertex` calls the member function `vertex()` on an instance of type `Node`. More...

## Functions
template<class F >
Compare_to_less< F > | CGAL::compare_to_less (const F &f)
| Changes a functor returning a `Comparison_result` to one which returns a bool.

## Function Documentation

## ◆ compare_to_less()

template<class F >

Compare_to_less< F > CGAL::compare_to_less | ( | const F & | f | ) |

`#include <CGAL/function_objects.h>`

Changes a functor returning a `Comparison_result` to one which returns a bool.

The returned functor will return `true` iff the original one returns `SMALLER`.

See also
  `CGAL::Compare_to_less<F>`

returns a functor equivalent to `f`, but which returns a bool instead of a `Comparison_result`.